# Post types

This configuration contains parameters that HivePress uses for registering the custom post types. Each post type is defined as an array of parameters accepted by the [register\_post\_type](https://developer.wordpress.org/reference/functions/register_post_type/) function. The array key is used as the post type name (prefixed with `hp_`).

The code example below changes the listing URL slug and the vendor icon in the WordPress dashboard menu. In the same way, you can customize any of the available post types or register a new one by adding an array with the post type parameters.

```php
add_filter(
	'hivepress/v1/post_types',
	function( $post_types ) {

		// Change listing URL slug.
		$post_types['listing']['rewrite']['slug'] = 'custom-slug';

		// Change vendor menu icon.
		$post_types['vendor']['menu_icon'] = 'dashicons-building';

		return $post_types;
	}
);
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.hivepress.io/developer-docs/framework/configurations/post-types.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
